Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 498812 - media-libs/mesa should RDEPEND on dev-libs/llvm if llvm USE flag is used
Summary: media-libs/mesa should RDEPEND on dev-libs/llvm if llvm USE flag is used
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Library (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo X packagers
URL:
Whiteboard:
Keywords: PATCH
Depends on:
Blocks: 500368
  Show dependency tree
 
Reported: 2014-01-21 17:04 UTC by ViliusSutkus89
Modified: 2014-02-25 18:05 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
mesa-9.2.5.ebuild.patch (file_498812.txt,996 bytes, patch)
2014-01-21 17:04 UTC, ViliusSutkus89
Details | Diff
mesa-10.0.2.ebuild.patch (file_498812.txt,897 bytes, patch)
2014-01-21 17:08 UTC, ViliusSutkus89
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description ViliusSutkus89 2014-01-21 17:04:13 UTC
Created attachment 368354 [details, diff]
mesa-9.2.5.ebuild.patch

Currently mesa only DEPENDS (not RDEPENDS) on dev-libs/llvm, this leads to a situation where emerging dev-libs/mesa from BINPKG with llvm USE flag doesn't pull in dev-libs/llvm as a dependency.

Attaching proposed patches.

Also a question:
Does opencl USE flag require llvm as a runtime dep?
Comment 1 ViliusSutkus89 2014-01-21 17:08:01 UTC
Created attachment 368356 [details, diff]
mesa-10.0.2.ebuild.patch
Comment 2 ViliusSutkus89 2014-01-21 17:31:22 UTC
All repeated mentions of "dev-libs/llvm" in the initial comment should be assumed as "sys-devel/llvm". Mental typo.
Comment 3 ViliusSutkus89 2014-01-21 17:35:44 UTC
Tried adding dev-libs/llvm as a RDEPEND to media-libs/mesa-9.1.6, but somewhy emerge --usepkg "=mesa-9.1.6" won't pick it up... have no idea why.
Comment 4 Matt Turner gentoo-dev 2014-02-03 21:51:22 UTC
Oh, wow. I think we probably want to add this to RDEPEND only if llvm-shared-libs.
Comment 5 Chí-Thanh Christopher Nguyễn gentoo-dev 2014-02-24 19:44:00 UTC
Fixed in 9.2.5-r1 and 10.0.3
Comment 6 ViliusSutkus89 2014-02-25 18:05:52 UTC
Thank you.

My deployment script is one line shorter now.